org.hibernate.search.analyzer.definition.impl

## Interface LuceneAnalysisDefinitionRegistry

- All Known Implementing Classes:
    ChainingLuceneAnalysisDefinitionRegistry, SimpleLuceneAnalysisDefinitionRegistry

      public interface LuceneAnalysisDefinitionRegistry

  A registry of analysis-related definitions for Lucene.
  Author:
    Yoann Rodiere

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDef` | `getAnalyzerDefinition(String name)`
    `NormalizerDef` | `getNormalizerDefinition(String name)`
    `void` | `register(String name, AnalyzerDef definition)` Register an analyzer definition.
    `void` | `register(String name, NormalizerDef definition)` Register a normalizer definition.

- - ### Method Detail

    - #### register

          void register(String name,
                        AnalyzerDef definition)

      Register an analyzer definition.
      Parameters:
        `name` - The name of the definition to be registered.
        `definition` - The definition to be registered.
      Throws:
        `SearchException` - if the name is already associated with a different definition.

    - #### register

          void register(String name,
                        NormalizerDef definition)

      Register a normalizer definition.
      Parameters:
        `name` - The name of the definition to be registered.
        `definition` - The definition to be registered.
      Throws:
        `SearchException` - if the name is already associated with a different definition.

    - #### getAnalyzerDefinition

          AnalyzerDef getAnalyzerDefinition(String name)

      Parameters:
        `name` - An analyzer name
      Returns:
        The analyzer definition associated with the given name, or `null` if there isn't any.

    - #### getNormalizerDefinition

          NormalizerDef getNormalizerDefinition(String name)

      Parameters:
        `name` - A normalizer name
      Returns:
        The normalizer definition associated with the given name, or `null` if there isn't any.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved